<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-width=1">
	<title>Science and Enggineering Ethics</title>
</head>
<body>
	<p><em>Science and Enggineering Ethics (2001) 7, 231-238</em></p>
	<hr>
	<h1>Software Engineering Code of Ethics and Professional Proctice</h1>
	<h3>IEEE CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>
	<hr>
	<p><strong>Keywords:</strong> code of ethics, professional responsibiity, software engineering</p>
	<h5>PREABLE</h5>

	<p>The Short version of code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give exsamples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and the details form a cohevive code.<br>
	Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a benificial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:</p>
	<ol><strong>PRINCIPLES</strong>
		<li><em>Public.</em> Software engineer shall act consistently with the public interest.</li>
		<li><em>Client and Employer.</em> Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.</li>
		<li><em>Product.</em> Software engineersshall ensure that their products and related modifications meet the highest professional standards possible.</li>
		<li><em>Judgement.</em> Software engineers shall maintain integrity and independence in their professional judgement.</li>
		<li><em>Management.</em> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of the software developemtn and maintenance.</li>
		<li><em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
		<li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues.</li>
		<li><em>Self.</em> Software engineer shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>
	</ol>

</body>
</html>